=== debian/changelog ===
sdformat (3.0.0-1) unstable; urgency=medium

  * Imported Upstream version 3.0.0
  * Fix debian rules to compile architecture indepedent packages
  * Migrate from libsdformat-dev to libsdformat3-dev
  * Migrate 3 branch from experiemntal to unstable. Stable upstream release
  * Fix install file for libsdformat3-dev

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 02 Aug 2015 23:03:20 +0000

sdformat (3.0.0~pre3.0.6-1-1) experimental; urgency=medium

  * Patch to use c++11 unconditionally
  * Fix the patch for use external gtest
  * Update watch file
  * Imported Upstream version 3.0.0~pre3.0.6-1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 15 Jul 2015 04:13:57 +0200

sdformat (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Sat, 09 May 2015 18:03:13 +0200
