## sdformat 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,8 @@
 set (SDF_PROTOCOL_VERSION 1.5)
 
 set (SDF_MAJOR_VERSION 3)
-set (SDF_MINOR_VERSION 0)
-set (SDF_PATCH_VERSION 0)
+set (SDF_MINOR_VERSION 1)
+set (SDF_PATCH_VERSION 1)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
 set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})
