=== sdf/1.5/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
   joint.sdf
   light.sdf
   link.sdf
+  logical_camera.sdf
   magnetometer.sdf
   material.sdf
   mesh_shape.sdf
