=== debian/changelog ===
sdformat (3.1.1-1build1) wily; urgency=medium

  * No-change rebuild against current libignition-math2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 21 Sep 2015 08:41:10 +0200

sdformat (3.1.1-1) unstable; urgency=medium

  * Imported Upstream version 3.1.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 31 Aug 2015 18:27:25 +0000

sdformat (3.0.0-2) unstable; urgency=medium

  * Fix install file for libsdformat3-dev

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 02 Aug 2015 23:03:20 +0000
