=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

.PHONY: override_dh_auto_configure     \
        override_dh_auto_build-indep   \
	override_dh_auto_test-indep    \
        override_dh_auto_test          \
        override_dh_strip

override_dh_auto_configure:
	dh_auto_configure -- \
            -DUSE_EXTERNAL_URDF:BOOL=True \
            -DUSE_UPSTREAM_CFLAGS:BOOL=False \
            -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo

override_dh_auto_build-indep:
	dh_auto_build -- doc # Generate documentation.

override_dh_auto_test-arch:
	HOME=$(CURDIR) LC_ALL=POSIX dh_auto_test

# No test can be done without the binaries
override_dh_auto_test-indep:

override_dh_strip:
	dh_strip -a --dbg-package=libsdformat3-dbg

%:
	dh $@ --parallel
