=== sdf/1.5/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
   altimeter.sdf
   audio_source.sdf
   audio_sink.sdf
+  battery.sdf
   box_shape.sdf
   camera.sdf
   collision.sdf
@@ -19,12 +20,15 @@
   inertial.sdf
   joint.sdf
   light.sdf
+  light_state.sdf
   link.sdf
+  link_state.sdf
   logical_camera.sdf
   magnetometer.sdf
   material.sdf
   mesh_shape.sdf
   model.sdf
+  model_state.sdf
   noise.sdf
   physics.sdf
   plane_shape.sdf
@@ -69,6 +73,6 @@
 add_custom_target(schema ALL DEPENDS ${SDF_SCHEMA})
 
 set_source_files_properties(${SDF_SCHEMA} PROPERTIES GENERATED TRUE)
-  
+
 install(FILES 1_4.convert ${sdfs} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/sdformat/1.5)
 install(FILES ${SDF_SCHEMA} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/sdformat/1.5)
