=== debian/changelog ===
sdformat (3.6.0-3) unstable; urgency=medium

  * Include pkgconfig in dependencies for pkgautotest

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 06 Jan 2016 12:20:19 +0000

sdformat (3.6.0-2) unstable; urgency=medium

  * Team upload.
  * [8c2184a] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Wed, 06 Jan 2016 11:20:16 +0100

sdformat (3.6.0-1) unstable; urgency=medium

  * Imported Upstream version 3.6.0
  * Fix error in libsdformat3-dev (thanks to Leo)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 12 Nov 2015 16:41:08 +0100
