=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: sdformat
-Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
+Testsuite: autopkgtest
 Priority: optional
-Testsuite: autopkgtest
 Build-Depends: cmake,
                debhelper (>= 9),
                python,
@@ -22,19 +21,20 @@
                texlive-latex-extra,
                ruby | ruby-interpreter,
                libignition-math2-dev,
-               libgtest-dev,
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sdformat.git
+               libgtest-dev
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sdformat.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/sdformat.git
 Homepage: http://sdformat.org
 
 Package: libsdformat3
 Architecture: any
+Multi-Arch: same
 Section: libs
+Depends: sdformat-sdf (>= ${source:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  sdformat-sdf (>= ${source:Version}),
-          ${shlibs:Depends},
-          ${misc:Depends}
-Multi-Arch: same
 Description: Simulation Description Format (SDF) parser - Shared library
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
@@ -47,15 +47,17 @@
  This package gathers the shared library
 
 Package: libsdformat-dev
-Depends: libsdformat3-dev, ${misc:Depends}
 Architecture: all
+Section: oldlibs
 Priority: extra
-Section: oldlibs
+Depends: libsdformat3-dev,
+         ${misc:Depends}
 Description: transitional dummy package to libsdformat3-dev
  This is a transitional dummy package. It can safely be removed.
 
 Package: libsdformat3-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libboost-system-dev,
          libboost-filesystem-dev,
@@ -66,9 +68,8 @@
          libignition-math2-dev,
          libsdformat3 (= ${binary:Version}),
          ${misc:Depends}
-Replaces: libgazebo-dev (<< 3.0.0)
-Breaks: libgazebo-dev (<< 3.0.0)
-Multi-Arch: same
+Breaks: libsdformat-dev (<< 3.0.0)
+Replaces: libsdformat-dev (<< 3.0.0)
 Description: Simulation Description Format (SDF) parser - Development files
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
@@ -83,9 +84,9 @@
 
 Package: sdformat-sdf
 Architecture: all
+Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}
-Multi-Arch: foreign
 Conflicts: libsdformat1
 Description: Simulation Description Format (SDF) parser - SDF files
  SDF is an XML file format that describes environments, objects, and robots
@@ -98,15 +99,14 @@
  .
  This package contains SDF (Simulation Description Format) XML files needed by
  the libsdformat.
- 
+
 Package: libsdformat3-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Priority: extra
-Depends:
-     libsdformat3 (= ${binary:Version}),
-     ${misc:Depends}
-Multi-Arch: same
+Depends: libsdformat3 (= ${binary:Version}),
+         ${misc:Depends}
 Description: Simulation Description Format (SDF) parser - Debugging symbols
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
@@ -120,9 +120,10 @@
 
 Package: sdformat-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
-Multi-Arch: foreign
+Depends: ${misc:Depends},
+         libjs-jquery
 Description: Simulation Description Format (SDF) parser - Documentation
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
