=== debian/tests/control ===
Tests: build
Depends: libsdformat-dev, pkg-config, build-essential
