## sdformat 4.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,10 +25,10 @@
 
 # The protocol version has nothing to do with the package version set below.
 # It represents the current version of sdformat implement by the software
-set (SDF_PROTOCOL_VERSION 1.5)
-
-set (SDF_MAJOR_VERSION 3)
-set (SDF_MINOR_VERSION 6)
+set (SDF_PROTOCOL_VERSION 1.6)
+
+set (SDF_MAJOR_VERSION 4)
+set (SDF_MINOR_VERSION 0)
 set (SDF_PATCH_VERSION 0)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
