=== debian/changelog ===
sdformat (4.0.0-1ubuntu2) xenial; urgency=medium

  * No-change rebuild against liburdfdom-*0.4

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Apr 2016 22:33:55 +0200

sdformat (4.0.0-1ubuntu1) xenial; urgency=medium

  * debian/tests/control: fix test dep to match the actual binary packages
    we are generating.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2016 17:31:38 +0000

sdformat (4.0.0-1) unstable; urgency=medium

  * Imported Upstream version 4.0.0
  * Migrate packaging from sdformat3 to sdformat4

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 15 Jan 2016 00:18:56 +0000
