=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sdformat
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Testsuite: autopkgtest
@@ -27,7 +28,7 @@
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/sdformat.git
 Homepage: http://sdformat.org
 
-Package: libsdformat3
+Package: libsdformat4
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -46,16 +47,7 @@
  .
  This package gathers the shared library
 
-Package: libsdformat-dev
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: libsdformat3-dev,
-         ${misc:Depends}
-Description: transitional dummy package to libsdformat3-dev
- This is a transitional dummy package. It can safely be removed.
-
-Package: libsdformat3-dev
+Package: libsdformat4-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
@@ -66,10 +58,8 @@
          libtinyxml-dev,
          liburdfdom-dev,
          libignition-math2-dev,
-         libsdformat3 (= ${binary:Version}),
+         libsdformat4 (= ${binary:Version}),
          ${misc:Depends}
-Breaks: libsdformat-dev (<< 3.0.0)
-Replaces: libsdformat-dev (<< 3.0.0)
 Description: Simulation Description Format (SDF) parser - Development files
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
@@ -100,12 +90,12 @@
  This package contains SDF (Simulation Description Format) XML files needed by
  the libsdformat.
 
-Package: libsdformat3-dbg
+Package: libsdformat4-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libsdformat3 (= ${binary:Version}),
+Depends: libsdformat4 (= ${binary:Version}),
          ${misc:Depends}
 Description: Simulation Description Format (SDF) parser - Debugging symbols
  SDF is an XML file format that describes environments, objects, and robots
