=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 override_dh_auto_test-indep:
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libsdformat3-dbg
+	dh_strip -a --dbg-package=libsdformat4-dbg
 
 %:
 	dh $@ --parallel
