=== debian/changelog ===
sdformat (4.1.0-1) unstable; urgency=medium

  * Imported Upstream version 4.1.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 14 Jul 2016 16:46:04 +0000

sdformat (4.0.0-3) unstable; urgency=medium

  [ Steve Langasek ]
  * [e2fd351] Fix deps in autopkgtest. (Closes: #818915)

  [ Anton Gladky ]
  * [8abe20a] Add myself to uploaders.

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Mar 2016 19:03:43 +0100

sdformat (4.0.0-2) unstable; urgency=medium

  * Team upload.
  * [4fa79dd] Add Breaks/Replaces for libsdformat4-dev. (Closes: #812743)
  * [2b7b2c2] Remove libsdformat4-dbg.
  * [67476f5] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Mar 2016 20:35:21 +0100
