=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,5 @@
 # No test can be done without the binaries
 override_dh_auto_test-indep:
 
-override_dh_strip:
-	dh_strip -a --dbg-package=libsdformat4-dbg
-
 %:
 	dh $@ --parallel
