## sdformat 4.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 set (SDF_MAJOR_VERSION 4)
 set (SDF_MINOR_VERSION 1)
-set (SDF_PATCH_VERSION 0)
+set (SDF_PATCH_VERSION 1)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
 set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})
