=== debian/changelog ===
sdformat (4.1.1-1build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:45:44 +0000

sdformat (4.1.1-1) unstable; urgency=medium

  * Imported Upstream version 4.1.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 15 Sep 2016 22:32:41 +0000

sdformat (4.1.0-2) unstable; urgency=medium

  * Update standards to 3.9.8
  * Add patch to replace boost pointers by std
    (Closes: #834982)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 30 Aug 2016 23:45:22 +0000
