=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sdformat
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
+Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>,
+  Anton Gladky <gladk@debian.org>
 Section: science
 Testsuite: autopkgtest
 Priority: optional
@@ -23,9 +24,9 @@
                ruby | ruby-interpreter,
                libignition-math2-dev,
                libgtest-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sdformat.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/sdformat.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sdformat.git
 Homepage: http://sdformat.org
 
 Package: libsdformat4
@@ -60,6 +61,9 @@
          libignition-math2-dev,
          libsdformat4 (= ${binary:Version}),
          ${misc:Depends}
+Breaks: libsdformat3-dev
+Provides: libsdformat-dev
+Replaces: libsdformat3-dev
 Description: Simulation Description Format (SDF) parser - Development files
  SDF is an XML file format that describes environments, objects, and robots
  in a manner suitable for robotic applications. SDF is capable of representing
@@ -90,24 +94,6 @@
  This package contains SDF (Simulation Description Format) XML files needed by
  the libsdformat.
 
-Package: libsdformat4-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libsdformat4 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Simulation Description Format (SDF) parser - Debugging symbols
- SDF is an XML file format that describes environments, objects, and robots
- in a manner suitable for robotic applications. SDF is capable of representing
- and describing different physic engines, lighting properties, terrain, static
- or dynamic objects, and articulated robots with various sensors, and acutators.
- The format of SDF is also described by XML, which facilitates updates and
- allows conversion from previous versions. A parser is also contained within
- this package that reads SDF files and returns a C++ interface.
- .
- This package contains the debugging symbols.
-
 Package: sdformat-doc
 Architecture: all
 Multi-Arch: foreign
