=== sdf/CMakeLists.txt ===
--- 
+++ 
@@ -4,3 +4,6 @@
 add_subdirectory(1.4)
 add_subdirectory(1.5)
 add_subdirectory(1.6)
+
+add_custom_target(schema)
+add_dependencies(schema schema1_6)
