=== debian/changelog ===
sdformat (4.2.0-1) unstable; urgency=medium

  * Imported Upstream version 4.2.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Jan 2017 16:52:33 +0000
